"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useForceUpdate = void 0;
const react_1 = require("react");
function useForceUpdate() {
    const [, setCount] = react_1.useState(0);
    let defer;
    if (typeof window !== undefined) {
        defer = window.requestAnimationFrame;
    }
    else {
        defer = (fn) => setTimeout(fn, 1);
    }
    return react_1.useCallback(() => {
        defer(() => {
            setCount((count) => {
                if (count === Number.MAX_SAFE_INTEGER) {
                    return 0;
                }
                else {
                    return count + 1;
                }
            });
        });
    }, []);
}
exports.useForceUpdate = useForceUpdate;
//# sourceMappingURL=useForceUpdate.js.map